Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77813 - Bad charset encodings in switchdesk .po files.
Summary: Bad charset encodings in switchdesk .po files.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: switchdesk
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-11-13 23:09 UTC by Mike A. Harris
Modified: 2015-01-08 00:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 04:43:50 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2002-11-13 23:09:17 UTC
There are tonnes of broken .po files in switchdesk with bad encodings.
Someone familiar with fixing these should correct them.  These come up
in a rebuild of the package.  Examine the full build log in order to
fix.


/usr/bin/msgfmt: es.po: warning: Charset "ISO-8959-1" is not a portable encoding
name.
                                 Message conversion to user's charset might not
work.
file=./`echo eu_ES | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file eu_ES.po
/usr/bin/msgfmt: eu_ES.po: warning: Charset "CHARSET" is not a portable encoding
name.
                                    Message conversion to user's charset might
not work.
file=./`echo fi | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file fi.po
/usr/bin/msgfmt: fi.po: warning: Charset "CHARSET" is not a portable encoding name.
                                 Message conversion to user's charset might not
work.
file=./`echo fr | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file fr.po
file=./`echo gl | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file gl.po
file=./`echo hu | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file hu.po
/usr/bin/msgfmt: hu.po: warning: Charset "CHARSET" is not a portable encoding name.
                                 Message conversion to user's charset might not
work.
file=./`echo id | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file id.po
/usr/bin/msgfmt: id.po: warning: Charset "CHARSET" is not a portable encoding name.
                                 Message conversion to user's charset might not
work.
file=./`echo is | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file is.po
file=./`echo it | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file it.po
file=./`echo ja | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file ja.po
file=./`echo ko | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file ko.po
file=./`echo no | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file no.po
file=./`echo pl | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file pl.po
/usr/bin/msgfmt: pl.po: warning: Charset "CHARSET" is not a portable encoding name.
                                 Message conversion to user's charset might not
work.
file=./`echo pt_BR | sed 's,.*/,,'`.gmo \
&& rm -f $file && /usr/bin/msgfmt -o $file pt_BR.po
/usr/bin/msgfmt: pt_BR.po: warning: Charset "CHARSET" is not a portable encoding
name.
                                    Message conversion to user's charset might
not work.

Comment 1 Mike A. Harris 2002-11-13 23:13:18 UTC
Adding i18n developers to CC.

If any of you could take a stab at fixing this, please go ahead and
check your patches into cvs.devel, bump the release, and build a new
package.

TIA

Comment 2 Paul Gampe 2003-01-02 00:54:08 UTC
I have corrected all the charset fields, and merged in some message strings that were 
missing.  I'll wait for the translation team to translate the new strings before building a new 
package. 

Comment 3 Mike A. Harris 2003-01-20 04:43:50 UTC
Assuming a new package has been built and closing as RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.